Package org.pushingpixels.substance.api.tabbed

# Interface TabCloseListener

All Superinterfaces:
  `BaseTabCloseListener`

All Known Subinterfaces:
  `VetoableTabCloseListener`

public interface TabCloseListener extends BaseTabCloseListener
Listener on tab closing. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`void`
`tabClosed(JTabbedPane tabbedPane, Component tabComponent)`
Called when a tab is closed.
`void`
`tabClosing(JTabbedPane tabbedPane, Component tabComponent)`
Called when a tab is about to be closed.

## Method Details

### tabClosing

void tabClosing(JTabbedPane tabbedPane, Component tabComponent)
Called when a tab is about to be closed.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponent` - Tab component to be closed.

### tabClosed

void tabClosed(JTabbedPane tabbedPane, Component tabComponent)
Called when a tab is closed.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponent` - Tab component closed.